﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ScheduleView;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace ScheduleViewResources
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			this.DataContext = new ViewModel();
		}
	}

	public class ViewModel
	{
		public ObservableCollection<Appointment> Appointments { get; set; }
		public ObservableCollection<ResourceType> ResourceTypes { get; set; }

		public ViewModel()
		{
			var resType = new ResourceType("Location");
			resType.Resources.Add(new Resource("Room1"));
			resType.Resources.Add(new Resource("Room2"));

			this.ResourceTypes = new ObservableCollection<ResourceType>() { resType }; 


			var currentDate = new DateTime(2012, 3, 26, 10, 0, 0);

			var app1 = new Appointment() { 
				Subject = "test1", 
				Start = currentDate, 
				End= currentDate.AddHours(2)
			};
			app1.Resources.Add(new Resource("Room1", "Location"));

			var app2 = new Appointment()
			{
				Subject = "test2",
				Start = currentDate.AddHours(2),
				End = currentDate.AddHours(3)
			};
			app2.Resources.Add(new Resource("Room2", "Location"));

			this.Appointments = new ObservableCollection<Appointment>() { app1, app2 };
		}
	}
}
